Memory Stores
Update memories
Starts an update that writes conversation memories into the specified memory store. The operation returns a long-running status location for polling the update result.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
경로 매개 변수
name
string
필수
The name of the memory store to update.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
scope
string
필수
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Conversation items to be stored in memory.
previous_update_id
string
The unique ID of the previous update request, enabling incremental memory updates from where the last operation left off.
update_delay
integer
Timeout period before processing the memory update in seconds. If a new update request is received during this period, it will cancel the current request and reset the timeout. Set to 0 to immediately trigger the update without delay. Defaults to 300 (5 minutes).
응답
The request has been accepted for processing, but processing has not yet completed.
헤더
Operation-Location
string
필수
The location for monitoring the operation state.
본문
update_id
string
필수
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
필수
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
필수
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
필수
Usage statistics of a memory store operation.
embedding_tokens
integer
필수
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
필수
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
필수
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
필수
The public continuation instruction.
요청
POST /memory_stores/{name}:update_memories HTTP/1.1
응답
Status: 202
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json